<?php
/**
 * Location extension for Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * @copyright 2013 Andrew Kett. (http://www.andrewkett.com)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @link      http://andrewkett.github.io/Ak_Locator/
 */

class Ak_Locator_Helper_Search extends Mage_Core_Helper_Abstract
{
    /**
     * Parse a string of url query parameters to an array
     *
     * @param $query query string to parse
     * @return array array or search parameters
     */
    public function parseQueryString($query)
    {
        $queryParts = explode('&', $query);

        $params = array();
        foreach ($queryParts as $param) {
            $item = explode('=', $param);
            
            if (isset($item[0]) && isset($item[1])) {
                $params[$item[0]] = $item[1];
            }
        }

        return $params;
    }
}
